.loading {
    display: block;
    width: 400px;
    height: 400px;
}

.layer-container {
    display: block;
    width: 100%;
    height: 100%;
}

.spin {
    display: block;
    width: 100%;
    height: 100%;

    border-radius: 50%;
    filter: blur(5px);
    background-image: conic-gradient(
        rgba(255, 10, 100, 0.5),
        transparent,
        transparent,
        rgba(0, 255, 255, 0.5),
        transparent,
        transparent,
        rgba(255, 10, 100, 0.5)
    );

    animation: spin 4s linear 0s infinite;
}

@keyframes spin {
    0% {
        rotate: 0deg;
    }
    100% {
        rotate: 360deg;
    }
}

.content-container {
    display: flex;
    justify-content: center;
    align-items: center;
    $width: 6px;

    width: calc(100% - $width * 2);
    height: calc(100% - $width * 2);

    border-radius: 50%;

    margin-top: $width;
    margin-left: $width;

    font-size: 20px;

    background-color: var(--global-background-color);
}
